package be.iminds.ilabt.jfed.espec.bundle;

import java.io.File;
import java.net.URL;

/**
 * BundleFetcher convenience factory to fetch ESpec Bundles in different ways.
 */
public class BundleFetcher {
    public BundleFetcher() {
    }

    public ESpecBundle fetchDir(String dirname) {
        return fetchDir(new File(dirname));
    }
    public ESpecBundle fetchDir(File dir) {
        return new LocalDirESpecBundle(dir);
    }
    public ESpecBundle fetchArchiveUrl(String url) {
        throw new RuntimeException("todo: implement");
    }
    public ESpecBundle fetchArchiveUrl(URL url) {
        throw new RuntimeException("todo: implement");
    }
    public ESpecBundle fetchArchiveFile(String filename) {
        throw new RuntimeException("todo: implement");
    }
    public ESpecBundle fetchArchiveFile(File filename) {
        throw new RuntimeException("todo: implement");
    }
}
